# Enum stable_mir::ty::Abi

source ·

    pub enum Abi {
    Show 25 variants    Rust,
        C {
            unwind: bool,
        },
        Cdecl {
            unwind: bool,
        },
        Stdcall {
            unwind: bool,
        },
        Fastcall {
            unwind: bool,
        },
        Vectorcall {
            unwind: bool,
        },
        Thiscall {
            unwind: bool,
        },
        Aapcs {
            unwind: bool,
        },
        Win64 {
            unwind: bool,
        },
        SysV64 {
            unwind: bool,
        },
        PtxKernel,
        Msp430Interrupt,
        X86Interrupt,
        EfiApi,
        AvrInterrupt,
        AvrNonBlockingInterrupt,
        CCmseNonSecureCall,
        Wasm,
        System {
            unwind: bool,
        },
        RustIntrinsic,
        RustCall,
        Unadjusted,
        RustCold,
        RiscvInterruptM,
        RiscvInterruptS,
    }

## Variants§

§

### Rust

§

### C

#### Fields

§`unwind: bool`
§

### Cdecl

#### Fields

§`unwind: bool`
§

### Stdcall

#### Fields

§`unwind: bool`
§

### Fastcall

#### Fields

§`unwind: bool`
§

### Vectorcall

#### Fields

§`unwind: bool`
§

### Thiscall

#### Fields

§`unwind: bool`
§

### Aapcs

#### Fields

§`unwind: bool`
§

### Win64

#### Fields

§`unwind: bool`
§

### SysV64

#### Fields

§`unwind: bool`
§

### PtxKernel

§

### Msp430Interrupt

§

### X86Interrupt

§

### EfiApi

§

### AvrInterrupt

§

### AvrNonBlockingInterrupt

§

### CCmseNonSecureCall

§

### Wasm

§

### System

#### Fields

§`unwind: bool`
§

### RustIntrinsic

§

### RustCall

§

### Unadjusted

§

### RustCold

§

### RiscvInterruptM

§

### RiscvInterruptS

## Trait Implementations§

source§

### impl Clone for Abi

source§

#### fn clone(&self) -> Abi

Returns a copy of the value. Read more
1.0.0 · source§

#### fn clone_from(&mut self, source: &Self)

Performs copy-assignment from `source`. Read more
source§

### impl Debug for Abi

source§

#### fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more
source§

### impl PartialEq for Abi

source§

#### fn eq(&self, other: &Abi) -> bool

This method tests for `self` and `other` values to be equal, and is used by `==`.
1.0.0 · source§

#### fn ne(&self, other: &Rhs) -> bool

This method tests for `!=`. The default implementation is almost always sufficient, and should not be overridden without very good reason.
source§

### impl Eq for Abi

source§

### impl StructuralPartialEq for Abi

## Auto Trait Implementations§

§

### impl Freeze for Abi

§

### impl RefUnwindSafe for Abi

§

### impl Send for Abi

§

### impl Sync for Abi

§

### impl Unpin for Abi

§

### impl UnwindSafe for Abi

## Blanket Implementations§

source§

### impl<T> Any for T
where T: 'static + ?Sized,

source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
source§

### impl<T> Borrow<T> for T
where T: ?Sized,

source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
source§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
source§

### impl<T> From<T> for T

source§

#### fn from(t: T) -> T

Returns the argument unchanged.

source§

### impl<T, U> Into<U> for T
where U: From<T>,

source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

source§

### impl<T> ToOwned for T
where T: Clone,

§

#### type Owned = T

The resulting type after obtaining ownership.
source§

#### fn to_owned(&self) -> T

Creates owned data from borrowed data, usually by cloning. Read more
source§

#### fn clone_into(&self, target: &mut T)

Uses borrowed data to replace owned data, usually by cloning. Read more
source§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

§

#### type Error = Infallible

The type returned in the event of a conversion error.
source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
source§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 2 bytes

Size for each variant:

- `Rust`: 0 bytes
- `C`: 1 byte
- `Cdecl`: 1 byte
- `Stdcall`: 1 byte
- `Fastcall`: 1 byte
- `Vectorcall`: 1 byte
- `Thiscall`: 1 byte
- `Aapcs`: 1 byte
- `Win64`: 1 byte
- `SysV64`: 1 byte
- `PtxKernel`: 0 bytes
- `Msp430Interrupt`: 0 bytes
- `X86Interrupt`: 0 bytes
- `EfiApi`: 0 bytes
- `AvrInterrupt`: 0 bytes
- `AvrNonBlockingInterrupt`: 0 bytes
- `CCmseNonSecureCall`: 0 bytes
- `Wasm`: 0 bytes
- `System`: 1 byte
- `RustIntrinsic`: 0 bytes
- `RustCall`: 0 bytes
- `Unadjusted`: 0 bytes
- `RustCold`: 0 bytes
- `RiscvInterruptM`: 0 bytes
- `RiscvInterruptS`: 0 bytes